# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 0
%endif

# FIXME there don't seem to be any examples
%bcond_with examples

# Versioning

%define qtmajor 6
%define qtminor 7
%define qtsubminor 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 2

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtsvg-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtsvg          %mklibname qt%{qtmajor}svg %{qtmajor}
%define libqtsvg_d        %mklibname qt%{qtmajor}svg -d

%define libqtsvgwidgets   %mklibname qt%{qtmajor}svgwidgets %{qtmajor}
%define libqtsvgwidgets_d %mklibname qt%{qtmajor}svgwidgets -d

Name:           qtsvg6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Svg component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
## Branch Patchs

## Trunk Patchs

## Patch from Mageia
#
# Security patches
# P1000 -> ...

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  qtbase6-devel = %{version}
BuildRequires:  qtbase6-qtpaths = %{version}

Provides:       qt%{qtmajor}-qtsvg = %{version}-%{release}

%description
The Qt%{qtmajor} Svg module provides classes for displaying
and creating SVG files.

%files
%{_qt6_plugindir}/iconengines/libqsvgicon.so
%{_qt6_plugindir}/imageformats/libqsvg.so

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        QtSvg%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtSvg%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt6_docdir}/qtsvg.qch
%{_qt6_docdir}/qtsvg/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtsvg}
Summary:        Qt%{qtmajor} Svg Library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}
Provides:       libqt%{qtmajor}-qtsvg = %{version}-%{release}

%description -n %{libqtsvg}
Qt%{qtmajor} Svg Component Library.

The Qt%{qtmajor} Svg module provides classes for displaying
and creating SVG files.

%files -n %{libqtsvg}
%{_qt6_libdir}/libQt6Svg.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtsvg_d}
Summary:        Devel files needed to build apps based on QtSvg
Group:          Development/KDE and Qt
Requires:       %{libqtsvg} = %{version}
Provides:       libqtsvg6-devel = %{version}
Provides:       libqt6svg-devel = %{version}
Provides:       qtsvg6-devel = %{version}
Provides:       qt6svg-devel = %{version}
Provides:       qt%{qtmajor}-qtsvg-devel = %{version}-%{release}

Provides:       libqtsvg6-private-devel = %{version}
Provides:       libqt6svg-private-devel = %{version}
Provides:       qtsvg6-private-devel = %{version}
Provides:       qt6svg-private-devel = %{version}

%description -n %{libqtsvg_d}
Devel files needed to build apps based on Qt Svg.

%files -n %{libqtsvg_d}
%{_qt6_includedir}/QtSvg/
%{_qt6_libdir}/libQt6Svg.so
%{_qt6_libdir}/libQt6Svg.prl
%{_qt6_libdir}/cmake/Qt6Svg/
%{_qt6_libdir}/pkgconfig/Qt6Svg.pc
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_svg.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_svg_private.pri
%{_qt6_libdir}/qt6/modules/Svg.json
%{_qt6_libdir}/qt6/metatypes/qt6svg_relwithdebinfo_metatypes.json
%if %{with examples}
%{_qt6_examplesdir}/svg/
%endif
#
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtSvgTestsConfig.cmake
%{_qt6_libdir}/cmake/Qt6Gui/*.cmake

#------------------------------------------------------------------------------

%package -n %{libqtsvgwidgets}
Summary:        Qt%{qtmajor} Svg Widgets Library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libqtsvgwidgets}
Qt%{qtmajor} Svg Widgets Component Library.

%files -n %{libqtsvgwidgets}
%{_qt6_libdir}/libQt6SvgWidgets.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtsvgwidgets_d}
Summary:        Devel files needed to build apps based on QtSvgWidgets
Group:          Development/KDE and Qt
Requires:       %{libqtsvgwidgets} = %{version}
Provides:       libqtsvgwidgets6-devel = %{version}
Provides:       libqt6svgwidgets-devel = %{version}
Provides:       qtsvgwidgets6-devel = %{version}
Provides:       qt6svgwidgets-devel = %{version}

Provides:       libqtsvgwidgets6-private-devel = %{version}
Provides:       libqt6svgwidgets-private-devel = %{version}
Provides:       qtsvgwidgets6-private-devel = %{version}
Provides:       qt6svgwidgets-private-devel = %{version}

%description -n %{libqtsvgwidgets_d}
Devel files needed to build apps based on Qt SvgWidgets.

%files -n %{libqtsvgwidgets_d}
%{_qt6_includedir}/QtSvgWidgets/
%{_qt6_libdir}/libQt6SvgWidgets.so
%{_qt6_libdir}/libQt6SvgWidgets.prl
%{_qt6_libdir}/cmake/Qt6SvgWidgets/
%{_qt6_libdir}/pkgconfig/Qt6SvgWidgets.pc
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_svgwidgets.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_svgwidgets_private.pri
%{_qt6_libdir}/qt6/modules/SvgWidgets.json
%{_qt6_libdir}/qt6/metatypes/qt6svgwidgets_relwithdebinfo_metatypes.json

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n qtsvg-everywhere-src-%{qtversion}

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%__make docs
%endif

%install
%cmake_install

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# Fix all buildroot paths
find %{buildroot}%{_qt6_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}%{_qt6_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}%{_qt6_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete


%changelog
* Tue Jun 11 2024 daviddavid <daviddavid> 6.7.1-2.mga10
+ Revision: 2072519
- rebuild for 'Qt_$MAJOR_PRIVATE_API' settings

* Tue May 21 2024 daviddavid <daviddavid> 6.7.1-1.mga10
+ Revision: 2065780
- New version 6.7.1

* Fri Feb 16 2024 daviddavid <daviddavid> 6.6.2-1.mga10
+ Revision: 2041734
- New version 6.6.2

* Sat Nov 11 2023 daviddavid <daviddavid> 6.6.0-2.mga10
+ Revision: 2006077
- move qt6svg metatypes in main qt6svg-devel sub-pkg

* Thu Oct 19 2023 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 1999346
- New version 6.6.0

* Sat Sep 09 2023 neoclust <neoclust> 6.5.2-1.mga10
+ Revision: 1985646
- New version 6.5.2

* Mon May 22 2023 daviddavid <daviddavid> 6.4.1-3.mga9
+ Revision: 1957780
- backport upstream patch to fix CVE-2023-32573 (mga#31950)

* Tue Dec 27 2022 daviddavid <daviddavid> 6.4.1-2.mga9
+ Revision: 1927072
- build examples

* Thu Dec 15 2022 neoclust <neoclust> 6.4.1-1.mga9
+ Revision: 1923060
- New version 6.4.1

* Fri Sep 30 2022 neoclust <neoclust> 6.4.0-1.mga9
+ Revision: 1893449
- New version 6.4.0

* Sun Aug 28 2022 neoclust <neoclust> 6.3.1-1.mga9
+ Revision: 1881394
- New version 6.3.1

* Fri Jul 29 2022 wally <wally> 6.3.0-1.mga9
+ Revision: 1872867
- disable examples as they needs itself to build
+ neoclust <neoclust>
- New version 6.3.0

* Sun Apr 03 2022 umeabot <umeabot> 6.2.3-2.mga9
+ Revision: 1842731
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 neoclust <neoclust> 6.2.3-1.mga9
+ Revision: 1781924
- New version 6.2.3

* Sun Nov 14 2021 neoclust <neoclust> 6.2.1-1.mga9
+ Revision: 1756255
- New version 6.2.1

* Wed Nov 10 2021 neoclust <neoclust> 6.2.0-1.mga9
+ Revision: 1755840
- New version 6.2.0

* Thu May 13 2021 daviddavid <daviddavid> 6.1.0-1.mga9
+ Revision: 1722748
- initial package qtsvg6

